SDL_FRect Struct Reference

`#include <SDL_rect.h>`

## Data Fields

float | x
float | y
float | w
float | h

## Detailed Description

A rectangle, with the origin at the upper left (using floating point values).

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_RectEmptyFloat
  SDL_RectsEqualFloat
  SDL_RectsEqualEpsilon
  SDL_HasRectIntersectionFloat
  SDL_GetRectIntersectionFloat
  SDL_GetRectAndLineIntersectionFloat
  SDL_GetRectUnionFloat
  SDL_GetRectEnclosingPointsFloat
  SDL_PointInRectFloat

Definition at line 106 of file SDL_rect.h.

## Field Documentation

## h

float SDL_FRect::h

Definition at line 111 of file SDL_rect.h.

Referenced by SDL_PointInRectFloat(), SDL_RectEmptyFloat(), SDL_RectsEqualEpsilon(), and SDL_RectToFRect().

## w

float SDL_FRect::w

Definition at line 110 of file SDL_rect.h.

Referenced by SDL_PointInRectFloat(), SDL_RectEmptyFloat(), SDL_RectsEqualEpsilon(), and SDL_RectToFRect().

## x

float SDL_FRect::x

Definition at line 108 of file SDL_rect.h.

Referenced by SDL_PointInRectFloat(), SDL_RectsEqualEpsilon(), and SDL_RectToFRect().

## y

float SDL_FRect::y

Definition at line 109 of file SDL_rect.h.

Referenced by SDL_PointInRectFloat(), SDL_RectsEqualEpsilon(), and SDL_RectToFRect().

The documentation for this struct was generated from the following file:

- SDL_rect.h